Page MenuHomePhabricator

InferAddressSpaces: Support atomics
ClosedPublic

Authored by arsenm on Jan 26 2017, 10:45 AM.

Details

Diff Detail

Event Timeline

arsenm created this revision.Jan 26 2017, 10:45 AM
jlebar added a subscriber: jlebar.Jan 26 2017, 11:27 PM
jlebar added inline comments.
lib/Transforms/Scalar/InferAddressSpaces.cpp
243–244

auto*?

249

Would this be better as

auto push = [&](Value* Ptr) {
  appendsGenericAddressExpressionToPostorderStack(
    Ptr, &PostorderStack, &Visited);
};
if (LoadInst *LI = ...)
  push(LI->getPointerOperand());

etc? As is I have to read closely to see whether or not there's anything interesting going on in these calls.

538

Can we use a different word than "compatible"? It's not clear obvious what is the indirect object. A brief comment might also be helpful here.

arsenm updated this revision to Diff 86109.Jan 27 2017, 1:08 PM

Address comments

jlebar accepted this revision.Jan 27 2017, 1:13 PM
jlebar added inline comments.
lib/Transforms/Scalar/InferAddressSpaces.cpp
236

Nit, this is a variable, so it should not use the function naming convention, counterintuitive as that may be.

This revision is now accepted and ready to land.Jan 27 2017, 1:13 PM
arsenm closed this revision.Jan 30 2017, 5:52 PM
arsenm marked an inline comment as done.

r293584